export type StyleFn = (s: string) => string;
export type Styles = StyleFn | StyleFn[];
export type Theme = {
    [k: string]: Styles;
} | Map<string, Styles>;
export type CompiledRule = [stack: string[], styles: StyleFn[]][];
export type CompiledTheme = Map<string, CompiledRule>;
import Prism from 'prismjs';
export type Tokens = string | Prism.Token | (string | Prism.Token)[];
export interface PrismJSTerminalOpts {
    theme?: keyof typeof themes | Theme;
    language?: string;
    minWidth?: number;
    maxWidth?: number;
    padding?: number;
}
export declare const highlight: (code: string, { language, theme, minWidth, maxWidth, padding, }?: PrismJSTerminalOpts) => string;
export declare const highlightFile: (filename: string, opts?: PrismJSTerminalOpts) => Promise<string>;
export declare const highlightFileSync: (filename: string, opts?: PrismJSTerminalOpts) => string;
import * as themes from './themes/index.js';
export { themes };
//# sourceMappingURL=index.d.ts.map